Subject: Re: [Ltru] Issue #41 (AD comment #8) section 3.5 SHOULD vs MUST

From: "Doug Ewell" <[email-masked]>
Date: Sat, 11 Apr 2009 15:08:33 -0600

Alexey Melnikov <alexey dot melnikov at isode dot com> wrote:

>>>> The fields in the "Record Requested" section SHOULD follow the 
>>>> requirements in Section 3.1.
>>>
>>> What are the reasons not to follow requirements in Section 3.1? 
>>> (I.e. why is SHOULD used instead of MUST?)
>>
>> I think the idea was to allow the language subtag reviewer to 
>> consider requests that followed the spirit, if not the letter of the 
>> syntax.  Since the LSR is not an automated process, and we do not 
>> want to introduce artificial barriers to those needing language 
>> subtags, a little flexibility is desirable.  Consequently, I think 
>> the SHOULD is ok - it's operational advice, and failure to follow it 
>> to the letter won't necessarily cause any problems at all.
>
> I understand and agree with the desire to be flexible.
> However my understanding is that the request sent to IANA must be in 
> the correct form. Maybe you should clarify that.

My understanding is that people submitting requests to ietf-languages 
are encouraged, but not required, to follow the requirements in Section 
3.1, and the Reviewer and clerical assistant (with the help of 
ietf-languages contributors) are expected to fix any editorial problems 
before approving a submission and sending it to IANA.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

---

From: Mark Davis <[email-masked]>
Date: Sat, 11 Apr 2009 17:56:08 -0700

I think it should be a MUST. A SHOULD implies that you don't need to do it
if there are good / reasonable reasons not to. That isn't the case here; the
requirements are clear.
That doesn't prevent us from taking the request and making fixes to format,
spelling, etc before approving.

Mark

On Sat, Apr 11, 2009 at 14:08, Doug Ewell <[email-masked]> wrote:

>>>> What are the reasons not to follow requirements in Section 3.1? (I.e.
>>>> why is SHOULD used instead of MUST?)
>>>>
>>>
>>> I think the idea was to allow the language subtag reviewer to consider
>>> requests that followed the spirit, if not the letter of the syntax.  Since
>>> the LSR is not an automated process, and we do not want to introduce
>>> artificial barriers to those needing language subtags, a little flexibility
>>> is desirable.  Consequently, I think the SHOULD is ok - it's operational
>>> advice, and failure to follow it to the letter won't necessarily cause any
>>> problems at all.
>>>
>>
>> However my understanding is that the request sent to IANA must be in the
>> correct form. Maybe you should clarify that.
>>
>
> My understanding is that people submitting requests to ietf-languages are
> encouraged, but not required, to follow the requirements in Section 3.1, and
> the Reviewer and clerical assistant (with the help of ietf-languages
> contributors) are expected to fix any editorial problems before approving a
> submission and sending it to IANA.
>
> --
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ltru
>

---

From: "Doug Ewell" <[email-masked]>
Date: Sat, 11 Apr 2009 19:11:42 -0600

Mark Davis wrote:

> I think it should be a MUST. A SHOULD implies that you don't need to 
> do it if there are good / reasonable reasons not to. That isn't the 
> case here; the requirements are clear.
>
> That doesn't prevent us from taking the request and making fixes to 
> format, spelling, etc before approving.

I think it comes down to how much deviation is acceptable.  RFC 4646bis 
is a long document with some rather arcane rules, and it is likely that 
some very sensible subtag requests will come along that

Mark

I think the idea was to allow the language subtag reviewer to consider 
requests that followed the spirit, if not the letter of the syntax. 
Since the LSR is not an automated process, and we do not want to 
introduce artificial barriers to those needing language subtags, a 
little flexibility is desirable.  Consequently, I think the SHOULD is 
ok - it's operational advice, and failure to follow it to the letter 
won't necessarily cause any problems at all.

---

From: Mark Davis <[email-masked]>
Date: Sat, 11 Apr 2009 18:30:32 -0700

Your message was cut off. Let me try to answer anyway. If someone submits a
registration form that is either (a) factually incorrect, or (b) breaks the
MUST clause (and they are MUSTs for good reason), then in review those
problems are pointed out, corrections are made, and the proposal is
resubmitted.
I don't think this is a real problem.

Mark

On Sat, Apr 11, 2009 at 18:11, Doug Ewell <[email-masked]> wrote:

> I think it comes down to how much deviation is acceptable.  RFC 4646bis is
> a long document with some rather arcane rules, and it is likely that some
> very sensible subtag requests will come along that
>
>
>
> Mark
>
>
>
> The fields in the "Record Requested" section SHOULD follow the requirements
> in Section 3.1.
>
>
> What are the reasons not to follow requirements in Section 3.1? (I.e. why
> is SHOULD used instead of MUST?)
>
>
>

---

From: "Randy Presuhn" <[email-masked]>
Date: Sat, 11 Apr 2009 22:06:37 -0700

Hi -

As a technical contributor...

> From: "Mark Davis" <[email-masked]>
> To: "Doug Ewell" <[email-masked]>
> Cc: "LTRU Working Group" <[email-masked]>
> Sent: Saturday, April 11, 2009 6:30 PM
> Subject: Re: [Ltru] Issue #41 (AD comment #8) section 3.5 SHOULD vs MUST
>
...

Getting back to the text in question in section 3.5:
|   The fields in the "Record Requested" section SHOULD follow the
|   requirements in Section 3.1.

I think the point is that we don't want to reject otherwise
legitimate requests just because the submitter didn't get some
element of syntax exactly right in the request.  As Mark points
out, the review process is there for good reason.  The SHOULD
is there because it is operationally helpful if the request
gets every last detail of syntax exactly right.

Randy